%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name SHA
%define f_pkg_name sha
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 1.4.1.1
Release: alt7
License: BSD3
Packager: Denis Smirnov <mithraen@altlinux.ru>
Group: Development/Haskell
URL: ???
Source: %name-%version.tar
Summary: Implementations of the SHA suite of message digest functions
# Automatically added by buildreq on Fri Sep 10 2010
BuildRequires: ghc-alex ghc-binary ghc(Cabal) ghc-happy

BuildRequires: ghc
BuildRequires(pre): rpm-build-haskell



%description
This library implements the SHA suite of message digest functions,
according to NIST FIPS 180-2 (with the SHA-224 addendum), as well as the
SHA-based HMAC routines. The functions have been tested against most of the
NIST and RFC test vectors for the various functions. While some attention
has been paid to performance, these do not presently reach the speed of
well-tuned libraries, like OpenSSL. 

%prep
%setup

%build
%hs_configure2
%hs_build

%install
%hs_install
%hs_gen_filelist

cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version
rm -rf doc LICENSE examples

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html
#%%doc LICENSE examples

%changelog
* Tue Mar 08 2011 Denis Smirnov <mithraen@altlinux.ru> 1.4.1.1-alt7
- rebuild

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 1.4.1.1-alt6
- auto rebuild

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 1.4.1.1-alt5
- auto rebuild

* Fri Sep 10 2010 Denis Smirnov <mithraen@altlinux.ru> 1.4.1.1-alt2
- rebuild

* Fri Sep 10 2010 Denis Smirnov <mithraen@altlinux.ru> 1.4.1.1-alt1
- Spec created by cabal2rpm 0.20_08
